# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2FontFaceWidths Class Reference

The `CSS2Cursor` interface represents a simple value for the widths CSS Level 2 descriptor. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2FontFaceWidths (const CSS2FontFaceWidths &other)
| CSS2FontFaceWidths (CSS2FontFaceWidthsImpl *impl)
CSS2FontFaceWidths & | operator= (const CSS2FontFaceWidths &other)
DOM::DOMString | urange () const
void | setUrange (const DOM::DOMString &)
CSSValueList | numbers () const

## Detailed Description

The `CSS2Cursor` interface represents a simple value for the widths CSS Level 2 descriptor.

Definition at line 693 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2FontFaceWidths::urange | ( |  | ) | const

| The range for the characters. Definition at line 460 of file css_extensions.cpp.

void CSS2FontFaceWidths::setUrange | ( | const DOM::DOMString & |  | ) |

see urange

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 466 of file css_extensions.cpp.

CSSValueList CSS2FontFaceWidths::numbers | ( |  | ) | const

| A list of numbers representing the glyph widths. Definition at line 471 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003